<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>NoteList</title>
    <link href="css/pag1.css" rel="stylesheet" type="text/css">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
          rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/sortablejs"></script>
</head>

<body>
<div class="row w100 oa">
    <div class="col-md-8 fl w60">
        <img src="imatges/suro.jpg" class="suro fl w100">
        <div class="row" style="position: absolute; padding: 5%; width: 60%">
            <ul id="myUL" class="dropzone">

            </ul>
        </div>
    </div>
    <div class="col-md-3 w30 fl style_margin" >
        <div class="boto">
            <div id="afegir" class="header w100">
                <h2 class="list">NoteList</h2>
                <input type="text" id="valueToDo" placeholder="Titulo...">
                <span onclick="nouToDo()" class="addBtn">Añadir</span>
            </div>
        </div>
    </div>
</div>
<script>
    // Crear un boton para eliminar la tarea en concreto
    var elementLista = document.getElementsByTagName("LI");
    var i;
    for (i = 0; i < elementLista.length; i++) {
        var span = document.createElement("SPAN");
        var txt = document.createTextNode("\u00D7");
        span.className = "cierra";
        span.appendChild(txt);
        myNodelist[i].appendChild(span);
    }

    // Elimina el TO DO de la lista
    var cierra = document.getElementsByClassName("cierra");
    var i;
    for (i = 0; i < cierra.length; i++) {
        cierra[i].onclick = function() {
            var div = this.parentElement;
            div.style.display = "none";
        }
    }

    // Marcar la tarea cuando esta hecha
    var list = document.querySelector('ul');
    list.addEventListener("click", function(evt) {
        console.log('list clicked');
        if (evt.target.tagName === 'LI') {
            evt.target.classList.toggle('checked');
        }
    }, false);


    // Crear una lista nueva
    function nouToDo() {
        var li = document.createElement("li");
        li.className = "draggable"
        li.setAttribute("draggable", "true")
        var inputValue = document.getElementById("valueToDo").value;
        var t = document.createTextNode(inputValue);
        li.appendChild(t);
        if (inputValue === '') {
            alert("Inserta un texto o el Jordi te suspende");
        } else {
            document.getElementById("myUL").appendChild(li);
        }
        document.getElementById("valueToDo").value = "";

        var span = document.createElement("SPAN");
        var txt = document.createTextNode("\u00D7");
        span.className = "cierra";
        span.appendChild(txt);
        li.appendChild(span);

        for (i = 0; i < cierra.length; i++) {
            cierra[i].onclick = function() {
                var div = this.parentElement;
                div.style.display = "none";
            }
        }
    }

    var el = document.getElementById('myUL');
    Sortable.create(el);

</script>
</body>
</html>
